import { PostState } from "@nice/common";

export const BADGE_STYLES = {
	priority: {
		high: "bg-red-100 text-red-800",
		medium: "bg-yellow-100 text-yellow-800",
		low: "bg-green-100 text-green-800",
	},
	category: {
		complaint: "bg-orange-100 text-orange-800",
		suggestion: "bg-blue-100 text-blue-800",
		request: "bg-purple-100 text-purple-800",
		feedback: "bg-teal-100 text-teal-800",
	},
	status: {
		[PostState.PENDING]: "bg-yellow-100 text-yellow-800",
		[PostState.PROCESSING]: "bg-blue-100 text-blue-800",
		[PostState.RESOLVED]: "bg-green-100 text-green-800",
	},
} as const;

export const getBadgeStyle = (
	type: keyof typeof BADGE_STYLES,
	value: string
): string => {
	return (
		BADGE_STYLES[type][value as keyof (typeof BADGE_STYLES)[typeof type]] ||
		"bg-gray-100 text-gray-800"
	);
};
